org.springframework.data.relational.repository.query

## Class RelationalParameters

- java.lang.Object
- - org.springframework.data.repository.query.Parameters<RelationalParameters,RelationalParameters.RelationalParameter>
  - - org.springframework.data.relational.repository.query.RelationalParameters

All Implemented Interfaces:
  Iterable<RelationalParameters.RelationalParameter>, Supplier<Stream<RelationalParameters.RelationalParameter>>, Streamable<RelationalParameters.RelationalParameter>

    public class RelationalParameters
    extends Parameters<RelationalParameters,RelationalParameters.RelationalParameter>

Custom extension of `Parameters`.

Author:
  Mark Paluch

### Nested Class Summary

Nested Classes
`static class` `RelationalParameters.RelationalParameter` Custom `Parameter` implementation.

### Field Summary

### Fields inherited from class org.springframework.data.repository.query.Parameters

`TYPES`

### Constructor Summary

Constructors
Constructor and Description
`RelationalParameters(Method method)` Creates a new `RelationalParameters` instance from the given `Method`.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected RelationalParameters` `createFrom(List<RelationalParameters.RelationalParameter> parameters)`
`protected RelationalParameters.RelationalParameter` `createParameter(MethodParameter parameter)`

### Methods inherited from class org.springframework.data.repository.query.Parameters

`getBindableParameter, getBindableParameters, getDynamicProjectionIndex, getNumberOfParameters, getPageableIndex, getParameter, getSortIndex, hasDynamicProjection, hasPageableParameter, hasParameterAt, hasSortParameter, hasSpecialParameter, isBindable, iterator, potentiallySortsDynamically`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.data.util.Streamable

`and, and, and, and, empty, filter, flatMap, get, isEmpty, map, of, of, of, stream, toList, toSet, toStreamable, toStreamable`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### RelationalParameters

    public RelationalParameters(Method method)

Creates a new `RelationalParameters` instance from the given `Method`.

Parameters:
  `method` - must not be null.

### Method Detail

#### createParameter

    protected RelationalParameters.RelationalParameter createParameter(MethodParameter parameter)

Specified by:
  `createParameter` in class `Parameters<RelationalParameters,RelationalParameters.RelationalParameter>`

#### createFrom

    protected RelationalParameters createFrom(List<RelationalParameters.RelationalParameter> parameters)

Specified by:
  `createFrom` in class `Parameters<RelationalParameters,RelationalParameters.RelationalParameter>`